> For the complete documentation index, see [llms.txt](https://docs.aqua-cloud.io/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aqua-cloud.io/documentation/de-documentation/installation-fur-on-premise/system-anforderungen/update-ihrer-installation/update-der-agenten.md).

# Update der Agenten

Wenn der Agent aktiv ist, stoppen Sie ihn. Falls notwendig, erstellen Sie bitte ein Backup des existierenden Agenten-Ordners.&#x20;

Entpacken Sie die neue Version des entsprechenden Agenten in einen temporären Ordner. Machen Sie eine Hardkopie der Agenten-Dateien und legen diese in den existierenden Agenten-Ordner **ohne** die config-Datei zu kopieren.&#x20;

Danach vergleichen Sie die existierende config-Datei mit der neuen config-Datei und wenden alle Änderungen an, die notwendig sind. Siehe untenstehende Liste für entsprechende config-Dateien:&#x20;

| JMeter-Agent     | bin/agent.properties            |
| ---------------- | ------------------------------- |
| DB-Agent         | aquaAgentDatabaseGui.exe.config |
| PowerShell-Agent | aquaAgentPowerShell.exe.config  |
| Unix-Agent       | agent.properties                |
| Ranorex-Agent    | aquaRanorexAgentGui.exe.config  |
| SoapUI           | agent.properties                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.aqua-cloud.io/documentation/de-documentation/installation-fur-on-premise/system-anforderungen/update-ihrer-installation/update-der-agenten.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
